---
title: DynamicsCompressorNode
slug: Web/API/DynamicsCompressorNode
tags:
  - API
  - Audio
  - DynamicsCompressorNode
  - Interface
  - Media
  - Reference
  - Web Audio API
---
<p>{{ APIRef("Web Audio API") }}</p>

<div>
<p>The <code>DynamicsCompressorNode</code> interface provides a compression effect, which lowers the volume of the loudest parts of the signal in order to help prevent clipping and distortion that can occur when multiple sounds are played and multiplexed together at once. This is often used in musical production and game audio. <code>DynamicsCompressorNode</code> is an {{domxref("AudioNode")}} that has exactly one input and one output; it is created using the {{domxref("AudioContext.createDynamicsCompressor()")}} method.</p>
</div>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Number of inputs</th>
   <td><code>1</code></td>
  </tr>
  <tr>
   <th scope="row">Number of outputs</th>
   <td><code>1</code></td>
  </tr>
  <tr>
   <th scope="row">Channel count mode</th>
   <td><code>"clamped-max"</code></td>
  </tr>
  <tr>
   <th scope="row">Channel count</th>
   <td><code>2</code></td>
  </tr>
  <tr>
   <th scope="row">Channel interpretation</th>
   <td><code>"speakers"</code></td>
  </tr>
 </tbody>
</table>

<h2 id="Constructor">Constructor</h2>

<dl>
 <dt>{{domxref("DynamicsCompressorNode.DynamicsCompressorNode", "DynamicsCompressorNode()")}}</dt>
 <dd>Creates a new instance of an <code>DynamicsCompressorNode</code> object.</dd>
</dl>

<h2 id="Properties">Properties</h2>

<p><em>Inherits properties from its parent, </em><em>{{domxref("AudioNode")}}</em>.</p>

<dl>
 <dt>{{domxref("DynamicsCompressorNode.threshold")}} {{readonlyInline}}</dt>
 <dd>Is a <a href="/en-US/docs/DOM/AudioParam#k-rate">k-rate</a> {{domxref("AudioParam")}} representing the decibel value above which the compression will start taking effect.</dd>
 <dt>{{domxref("DynamicsCompressorNode.knee")}} {{readonlyInline}}</dt>
 <dd>Is a <a href="/en-US/docs/DOM/AudioParam#k-rate">k-rate</a> {{domxref("AudioParam")}} containing a decibel value representing the range above the threshold where the curve smoothly transitions to the compressed portion.</dd>
 <dt>{{domxref("DynamicsCompressorNode.ratio")}} {{readonlyInline}}</dt>
 <dd>Is a <a href="/en-US/docs/DOM/AudioParam#k-rate">k-rate</a> {{domxref("AudioParam")}} representing the amount of change, in dB, needed in the input for a 1 dB change in the output.</dd>
 <dt>{{domxref("DynamicsCompressorNode.reduction")}} {{readonlyInline}}</dt>
 <dd>Is a <code>float</code> representing the amount of gain reduction currently applied by the compressor to the signal.</dd>
 <dt>{{domxref("DynamicsCompressorNode.attack")}} {{readonlyInline}}</dt>
 <dd>Is a <a href="/en-US/docs/DOM/AudioParam#k-rate">k-rate</a> {{domxref("AudioParam")}} representing the amount of time, in seconds, required to reduce the gain by 10 dB.</dd>
 <dt>{{domxref("DynamicsCompressorNode.release")}} {{readonlyInline}}</dt>
 <dd>Is a <a href="/en-US/docs/DOM/AudioParam#k-rate">k-rate</a> {{domxref("AudioParam")}} representing the amount of time, in seconds, required to increase the gain by 10 dB.</dd>
</dl>

<h2 id="Methods">Methods</h2>

<p><em>No specific methods; inherits methods from its parent, </em><em>{{domxref("AudioNode")}}</em>.</p>

<h2 id="Example">Example</h2>

<p>{{page("/en-US/docs/Web/API/AudioContext.createDynamicsCompressor","Example")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Audio API', '#dynamicscompressornode', 'DynamicsCompressorNode')}}</td>
   <td>{{Spec2('Web Audio API')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.DynamicsCompressorNode")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web_Audio_API/Using_Web_Audio_API">Using the Web Audio API</a></li>
</ul>
